declare
  v_format                varchar2(10)  := 'PDF';
--  v_format                varchar2(10)  := 'XLSX';
  v_app_id                integer       := ???;
  v_page_id               integer       := ??;
  v_apx_username          varchar2(50)  := '???';
  v_static_id             varchar2(50)  := '???';
  v_workspace_name        varchar2(50)  := '???';

  v_export                apex_data_export.t_export;
  v_region_id             number;
  v_workspace_id          number;
  v_session_id            number;
  begin
  v_workspace_id := apex_util.find_security_group_id
                    (
                      p_workspace => v_workspace_name
                    );
  apex_util.set_security_group_id
  (
    p_security_group_id => v_workspace_id
  );

  -- apex_session.delete_session;
  v_session_id := APEX_CUSTOM_AUTH.GET_SESSION_ID;
  if v_session_id is not null
  then
    apex_session.delete_session
    (
      p_session_id => v_session_id
    );
  end if;

  apex_session.create_session
  (
    p_app_id   => v_app_id,
    p_page_id  => v_page_id,
    p_username => v_apx_username
  );

  select  region_id
  into    v_region_id
  from  apex_application_page_regions
  where application_id  = v_app_id
    and page_id         = v_page_id
    and static_id       = v_static_id;

  v_export := apex_region.export_data
              (
                p_format      => v_format,
                p_page_id     => v_page_id,
                p_region_id   => v_region_id,
                p_as_clob     => false,
                p_page_size   => apex_data_export.c_size_A4,
                p_orientation => apex_data_export.c_orientation_landscape
              );

  v_export := apex_region.export_data
              (
                p_format      => v_format,
                p_page_id     => v_page_id,
                p_region_id   => v_region_id,
                p_as_clob     => false,
                p_page_size   => apex_data_export.c_size_A4,
                p_orientation => apex_data_export.c_orientation_landscape

              );
  commit;
end;
/
